| Home | Libraries | People | FAQ | More

##### authority_view::host_type

Return the host type.

###### Synopsis

    urls::host_type
    host_type() const;

###### Description

This function returns one of the following constants representing the type of host present.

- `host_type::ipv4`
- `host_type::ipv6`
- `host_type::ipvfuture`
- `host_type::name`

###### Example

    assert( url_view( "https://192.168.0.1/local.htm" ).host_type() == host_type::ipv4 );

###### Complexity

Constant.

###### Exception Safety

Throws nothing.

###### Specification

- 3.2.2. Host (rfc3986)